#! /usr/bin/env python
# -*- Encoding: utf-8 -*-

import sys
import os, os.path

if len(sys.argv) < 2:
    print >>sys.stderr, "usage: %s <html_file>" % sys.argv[0]
    sys.exit(1)

filename = sys.argv[1]

f = open(filename, 'r')

out = open("persons.data.iso-8859-1", 'w')

for line in f:
    # print "LINE"
    if line.find('<tr class="bylabperson') == -1:
        # print "EMPTY"
        continue
    namepattern = 'class="nameperso">'
    pos_start = line.find(namepattern)
    print pos_start
    if pos_start == -1: 
        print "NO NAME [1]"
        continue
    pos_stop = line.find('<', pos_start+len(namepattern))
    if pos_stop == -1:
        print "NO NAME [2]"
        continue
    name = line[pos_start + len(namepattern):pos_stop]
    print "[" + name + "]"

    elts = name.split()
    reversed_elts = [elts[-1]] + elts[:-1]
    reversed_name = " ".join(reversed_elts)
    
    print "[" + reversed_name + "]"

    telpattern = '<td class="telperso">+'
    pos_start = line.find(telpattern)
    if pos_start == -1: 
        print "NO TEL [1]"
        continue
    pos_stop = line.find('<', pos_start+len(telpattern)) 
    if pos_stop == -1:
        print "NO TEL [2]"
        continue
    tel = line[pos_start-1 + len(telpattern):pos_stop] # -1 for '+'
    tel = tel.replace(' ','').replace('+3314427','7')
    print tel

    officepattern = '<td class="telperso">(bureau'
    pos_start = line.find(officepattern)
    if pos_start == -1: 
        print "NO OFFICE [1]"
        continue
    pos_stop = line.find(')<', pos_start+len(officepattern)) 
    if pos_stop == -1:
        print "NO OFFICE [2]"
        continue
    office = line[pos_start + len(officepattern):pos_stop] # -1 for '+'
    office = office.replace('&nbsp;','').replace(':','')
    print office
    
    print >>out, "%s\t%s\t%s\t" % (name, office, tel)

f.close()
out.close()


os.system("iconv -f iso-8859-1 -t utf-8 persons.data.iso-8859-1 > persons.data.utf-8")
